import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddColumnIsReplacedOtpVerification1749030419440
  implements MigrationInterface
{
  name = 'AddColumnIsReplacedOtpVerification1749030419440';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "otp_verifications" ADD "is_replaced" boolean NOT NULL DEFAULT false`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "otp_verifications" DROP COLUMN "is_replaced"`,
    );
  }
}
